Fork me on GitHub"

# skbio.stats.distance.DissimilarityMatrix.from_iterable

classmethod DissimilarityMatrix.from_iterable(iterable, metric, key=None, keys=None)

  Create DissimilarityMatrix from an iterable given a metric.

  State: Experimental as of 0.5.1.

  Parameters:

    - iterable (iterable) – Iterable containing objects to compute pairwise dissimilarities on.

    - metric (callable) – A function that takes two arguments and returns a float representing the dissimilarity between the two arguments.

    - key (callable or metadata key, optional) – A function that takes one argument and returns a string representing the id of the element in the dissimilarity matrix. Alternatively, a key to a metadata property if it exists for each element in the iterable. If None, then default ids will be used.

    - keys (iterable, optional) – An iterable of the same length as iterable. Each element will be used as the respective key.

  Returns:

    The metric applied to all pairwise elements in the iterable.

  Return type:

    DissimilarityMatrix

  Raises:

    ValueError – If key and keys are both provided.